import SignUpForm from "@/components/auth/signup-form";
import { redirect } from "next/navigation";

export default async function SignupPage({
	searchParams,
}: {
	searchParams: Promise<{ phone_number: string }>;
}) {
	const phone_number = (await searchParams).phone_number;
	console.log({ phone_number });
	if (!phone_number) {
		return redirect("/auth/login");
	}

	return <SignUpForm />;
}
