"use server";

import { authOptions } from "@/app/auth";
import { getServerSession } from "next-auth";
import { redirect } from "next/navigation";

export async function checkSession() {
	const session = await getServerSession(authOptions);
	if (!session) return redirect("/auth/signin");
	return session;
}
