import VerifyOTPForm from "@/components/auth/verify-otp-form";
import { redirect } from "next/navigation";

export default async function VerifyOTP({
	searchParams,
}: {
	searchParams: Promise<{ phone_number: string }>;
}) {
	const phone_number = (await searchParams).phone_number;
	if (!phone_number) {
		return redirect("/login");
	}
	console.log(
		"phone number from server page params (verify otp page)",
		phone_number,
	);

	return <VerifyOTPForm phone_number={phone_number} />;
}
