import { ApplicationLayout } from "@/components/auth/application-layout";
import QueryProvider from "@/providers/query-provider";

export default function DashboardLayout({
	children,
}: Readonly<{
	children: React.ReactNode;
}>) {
	return <ApplicationLayout>
		<QueryProvider>
			{children}
		</QueryProvider>
	</ApplicationLayout>;
}
