"use client";


interface WelcomeBannerProps {
  firstName?: string | null;
  lastName?: string | null;
}

export function WelcomeBanner({ firstName, lastName }: WelcomeBannerProps) {

  return (
    <div
      className={"text-sm font-mono px-2 p-1 bg-green-500/10 text-green-900 dark:text-green-400"}
    >
      Welcome,{" "}
      <span className="font-semibold">
        {firstName} {lastName}
      </span>
    </div>
  );
}